using System;

namespace Stalaktiti_i_Perica
{
	class Program
	{
		public static void Main(string[] args)
		{
			int N=0,L=0,j=0,brn=0;
			string[] red1=Console.ReadLine().Split();
			N=int.Parse(red1[0]);
			L=int.Parse(red1[1]);
			string[] red2=Console.ReadLine().Split();
			int[] niz=new int[N+1];
			niz[0]=0;
			for(int i=1;i<=N;i++)
			{
				niz[i]=int.Parse(red2[j]);
				j++;
			}
			for(int i=1;i<=N;i++)
			{
				if(niz[i]<=L)
				{
					Console.Write(i);
					brn++;
					break;
				}
			}
			if(brn==0)
			{
				Console.Write("-1");
			}
			Console.ReadKey(true);
		}
	}
}